variable "cidr" {
  description = "The CIDR Block for the VPC"
  type        = string
}

variable "name" {
  description = "The name for the VPC"
  type        = string
}

variable "tags" {
  description = "Tags to add to the resource (in addition to global standard tags)"
  type        = map
  default     = { }
}

variable "create_preauthorized_scanner" {
  description = "Flag for creating pre-authed scanner instance"
  type        = bool
  default     = true
}

variable "create_standard_scanner" {
  description = "Flag for creating standard scanner instance"
  type        = bool
  default     = true
}

variable "personalization_codes" {
  description = "Magic values from qualys authorizing the scanners"
  type        = map
  default     = { }
}

# ----------------------------------
# Below this line are variables inherited from higher levels, so they
# do not need to be explicitly passed to this module.
variable "standard_tags" { type = map }
variable "dns_info" { type = map }
variable "aws_region" { type = string }
variable "aws_partition" { type = string }
variable "aws_account_id" { type = string }
